package me.zhengjie.modules.dm.statement.service;

import com.alibaba.fastjson.JSONObject;
import me.zhengjie.modules.dm.statement.service.dto.DmHaveDinnerDto;
import org.springframework.data.domain.Pageable;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;
import java.util.Map;

public interface DmHaveDinnerService {
    /**
     * 用餐报表
     * @param stateDate
     * @param endDate
     * @param type
     * @param pageable
     * @return
     */
    Map<String,Object> selectZgHaveDinner(String stateDate, String endDate, String type, Pageable pageable);

    /**
     * 用餐报表
     * @param stateDate
     * @param endDate
     * @param type
     * @param pageable
     * @return
     */
    Map<String,Object> selectZdHaveDinner(String stateDate, String endDate, String type, Pageable pageable);

    /**
     * 导出数据
     * @param all 待导出的数据
     * @param response /
     * @throws IOException /
     */
    void download(List<DmHaveDinnerDto> all, HttpServletResponse response) throws IOException;
    /**
     * 导出数据
     * @param all 待导出的数据
     * @param response /
     * @throws IOException /
     */
    void downWeekload(List<DmHaveDinnerDto> all, HttpServletResponse response) throws IOException;

    JSONObject selectDiningStatements(String stateDate, String endDate, String type, Pageable pageable);
}
